OpenTTD: src/road_gui.h File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
road_gui.h File Reference

Functions/types related to the road GUIs. More...

`#include "road_type.h"`
`#include "tile_type.h"`
`#include "direction_type.h"`

Go to the source code of this file.

## Functions
struct Window * | ShowBuildRoadToolbar (RoadType roadtype)
| Open the build road toolbar window.
struct Window * | ShowBuildRoadScenToolbar ()
| Show the road building toolbar in the scenario editor.
void | ConnectRoadToStructure (TileIndex tile, DiagDirection direction)
| If required, connects a new structure to an existing road or tram by building the missing roadbit.

## Detailed Description

Functions/types related to the road GUIs.

Definition in file road_gui.h.

## Function Documentation

void ConnectRoadToStructure | ( | TileIndex | tile,
|  | DiagDirection | direction
| ) |  |

If required, connects a new structure to an existing road or tram by building the missing roadbit.

Parameters

  tile | Tile containing the structure to connect.
  direction | Direction to check.

Definition at line 164 of file road_gui.cpp.

References CMD_BUILD_ROAD, DiagDirToRoadBits(), DoCommandP(), GetRoadBits(), IsNormalRoadTile(), ReverseDiagDir(), ROAD_NONE, and TileOffsByDiagDir().

Referenced by CcBuildBridge(), CcBuildRoadTunnel(), and CcRoadStop().

struct Window* ShowBuildRoadScenToolbar | ( |  | ) |
| read

Show the road building toolbar in the scenario editor.

Returns
  The just opened toolbar, or `NULL` if the toolbar was already open.

Definition at line 846 of file road_gui.cpp.

References ROADTYPE_ROAD, and TRANSPORT_ROAD.

Referenced by RoadToolbarGlobalHotkeys().

struct Window* ShowBuildRoadToolbar | ( | RoadType | roadtype | ) |
| read

Open the build road toolbar window.

If the terraform toolbar is linked to the toolbar, that window is also opened.

Returns
  newly opened road toolbar, or NULL if the toolbar could not be opened.

Definition at line 798 of file road_gui.cpp.

References _local_company, DeleteWindowByClass(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), ROADTYPE_ROAD, TRANSPORT_ROAD, and WC_BUILD_TOOLBAR.

Referenced by MenuClickBuildRoad(), MainToolbarWindow::OnHotkey(), and RoadToolbarGlobalHotkeys().